gio-sharp GLib.Object Integrating the launch with the launching application. This is used to handle for instance startup notification and launching the new application on the same screen as the launching window. To be added.
- Constructor
  Creates a new application launch context.
  This is not normally used, instead you instantiate a subclass of this, such as .
- Constructor
  To be added.
  To be added.
  To be added.
- Method
  System.String `` `` A . A of . Gets the display string for the display. A display string for the display. This is used to ensure new applications are started on the same display as the launching application.
- Method
  System.String `` `` A . A of . Initiates startup notification for the application. The DESKTOP_STARTUP_ID for the launched operation, if supported. Startup notification IDs are defined in the FreeDesktop.Org Startup Notifications standard (http://standards.freedesktop.org/startup-notification-spec/startup-notification-latest.txt).
- Property
  GLib.GType To be added. To be added. To be added.
- Method
  System.Void `` The startup notification id that was returned by . Called when an application has failed to launch. Called when an application has failed to launch, so that it can cancel the application startup notification started in .
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetDisplay", Type=typeof(GLib.AppLaunchContext))
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetStartupNotifyId", Type=typeof(GLib.AppLaunchContext))
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLaunchFailed", Type=typeof(GLib.AppLaunchContext))
  System.Void `` To be added. To be added. To be added.